Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network26.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
26.0.0.0
Broadcast address
27.255.255.255
First usable
26.0.0.1
Last usable
27.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 1A000000 · Integer 436207616 to 469762047
Reverse DNS zones
26.in-addr.arpa
27.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011010.00000000.00000000.0000000026.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00011010.00000000.00000000.0000000026.0.0.0
Broadcast00011011.11111111.11111111.1111111127.255.255.255
Split into smaller subnets/19

26.0.0.0/7 makes 4,096 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
126.0.0.0/1926.0.0.1 to 26.0.31.25426.0.31.2558,190
226.0.32.0/1926.0.32.1 to 26.0.63.25426.0.63.2558,190
326.0.64.0/1926.0.64.1 to 26.0.95.25426.0.95.2558,190
426.0.96.0/1926.0.96.1 to 26.0.127.25426.0.127.2558,190
526.0.128.0/1926.0.128.1 to 26.0.159.25426.0.159.2558,190
626.0.160.0/1926.0.160.1 to 26.0.191.25426.0.191.2558,190
726.0.192.0/1926.0.192.1 to 26.0.223.25426.0.223.2558,190
826.0.224.0/1926.0.224.1 to 26.0.255.25426.0.255.2558,190
926.1.0.0/1926.1.0.1 to 26.1.31.25426.1.31.2558,190
1026.1.32.0/1926.1.32.1 to 26.1.63.25426.1.63.2558,190
1126.1.64.0/1926.1.64.1 to 26.1.95.25426.1.95.2558,190
1226.1.96.0/1926.1.96.1 to 26.1.127.25426.1.127.2558,190
1326.1.128.0/1926.1.128.1 to 26.1.159.25426.1.159.2558,190
1426.1.160.0/1926.1.160.1 to 26.1.191.25426.1.191.2558,190
1526.1.192.0/1926.1.192.1 to 26.1.223.25426.1.223.2558,190
1626.1.224.0/1926.1.224.1 to 26.1.255.25426.1.255.2558,190
1726.2.0.0/1926.2.0.1 to 26.2.31.25426.2.31.2558,190
1826.2.32.0/1926.2.32.1 to 26.2.63.25426.2.63.2558,190
1926.2.64.0/1926.2.64.1 to 26.2.95.25426.2.95.2558,190
2026.2.96.0/1926.2.96.1 to 26.2.127.25426.2.127.2558,190
2126.2.128.0/1926.2.128.1 to 26.2.159.25426.2.159.2558,190
2226.2.160.0/1926.2.160.1 to 26.2.191.25426.2.191.2558,190
2326.2.192.0/1926.2.192.1 to 26.2.223.25426.2.223.2558,190
2426.2.224.0/1926.2.224.1 to 26.2.255.25426.2.255.2558,190
2526.3.0.0/1926.3.0.1 to 26.3.31.25426.3.31.2558,190
2626.3.32.0/1926.3.32.1 to 26.3.63.25426.3.63.2558,190
2726.3.64.0/1926.3.64.1 to 26.3.95.25426.3.95.2558,190
2826.3.96.0/1926.3.96.1 to 26.3.127.25426.3.127.2558,190
2926.3.128.0/1926.3.128.1 to 26.3.159.25426.3.159.2558,190
3026.3.160.0/1926.3.160.1 to 26.3.191.25426.3.191.2558,190
3126.3.192.0/1926.3.192.1 to 26.3.223.25426.3.223.2558,190
3226.3.224.0/1926.3.224.1 to 26.3.255.25426.3.255.2558,190
3326.4.0.0/1926.4.0.1 to 26.4.31.25426.4.31.2558,190
3426.4.32.0/1926.4.32.1 to 26.4.63.25426.4.63.2558,190
3526.4.64.0/1926.4.64.1 to 26.4.95.25426.4.95.2558,190
3626.4.96.0/1926.4.96.1 to 26.4.127.25426.4.127.2558,190
3726.4.128.0/1926.4.128.1 to 26.4.159.25426.4.159.2558,190
3826.4.160.0/1926.4.160.1 to 26.4.191.25426.4.191.2558,190
3926.4.192.0/1926.4.192.1 to 26.4.223.25426.4.223.2558,190
4026.4.224.0/1926.4.224.1 to 26.4.255.25426.4.255.2558,190
4126.5.0.0/1926.5.0.1 to 26.5.31.25426.5.31.2558,190
4226.5.32.0/1926.5.32.1 to 26.5.63.25426.5.63.2558,190
4326.5.64.0/1926.5.64.1 to 26.5.95.25426.5.95.2558,190
4426.5.96.0/1926.5.96.1 to 26.5.127.25426.5.127.2558,190
4526.5.128.0/1926.5.128.1 to 26.5.159.25426.5.159.2558,190
4626.5.160.0/1926.5.160.1 to 26.5.191.25426.5.191.2558,190
4726.5.192.0/1926.5.192.1 to 26.5.223.25426.5.223.2558,190
4826.5.224.0/1926.5.224.1 to 26.5.255.25426.5.255.2558,190
4926.6.0.0/1926.6.0.1 to 26.6.31.25426.6.31.2558,190
5026.6.32.0/1926.6.32.1 to 26.6.63.25426.6.63.2558,190
5126.6.64.0/1926.6.64.1 to 26.6.95.25426.6.95.2558,190
5226.6.96.0/1926.6.96.1 to 26.6.127.25426.6.127.2558,190
5326.6.128.0/1926.6.128.1 to 26.6.159.25426.6.159.2558,190
5426.6.160.0/1926.6.160.1 to 26.6.191.25426.6.191.2558,190
5526.6.192.0/1926.6.192.1 to 26.6.223.25426.6.223.2558,190
5626.6.224.0/1926.6.224.1 to 26.6.255.25426.6.255.2558,190
5726.7.0.0/1926.7.0.1 to 26.7.31.25426.7.31.2558,190
5826.7.32.0/1926.7.32.1 to 26.7.63.25426.7.63.2558,190
5926.7.64.0/1926.7.64.1 to 26.7.95.25426.7.95.2558,190
6026.7.96.0/1926.7.96.1 to 26.7.127.25426.7.127.2558,190
6126.7.128.0/1926.7.128.1 to 26.7.159.25426.7.159.2558,190
6226.7.160.0/1926.7.160.1 to 26.7.191.25426.7.191.2558,190
6326.7.192.0/1926.7.192.1 to 26.7.223.25426.7.223.2558,190
6426.7.224.0/1926.7.224.1 to 26.7.255.25426.7.255.2558,190
6526.8.0.0/1926.8.0.1 to 26.8.31.25426.8.31.2558,190
6626.8.32.0/1926.8.32.1 to 26.8.63.25426.8.63.2558,190
6726.8.64.0/1926.8.64.1 to 26.8.95.25426.8.95.2558,190
6826.8.96.0/1926.8.96.1 to 26.8.127.25426.8.127.2558,190
6926.8.128.0/1926.8.128.1 to 26.8.159.25426.8.159.2558,190
7026.8.160.0/1926.8.160.1 to 26.8.191.25426.8.191.2558,190
7126.8.192.0/1926.8.192.1 to 26.8.223.25426.8.223.2558,190
7226.8.224.0/1926.8.224.1 to 26.8.255.25426.8.255.2558,190
7326.9.0.0/1926.9.0.1 to 26.9.31.25426.9.31.2558,190
7426.9.32.0/1926.9.32.1 to 26.9.63.25426.9.63.2558,190
7526.9.64.0/1926.9.64.1 to 26.9.95.25426.9.95.2558,190
7626.9.96.0/1926.9.96.1 to 26.9.127.25426.9.127.2558,190
7726.9.128.0/1926.9.128.1 to 26.9.159.25426.9.159.2558,190
7826.9.160.0/1926.9.160.1 to 26.9.191.25426.9.191.2558,190
7926.9.192.0/1926.9.192.1 to 26.9.223.25426.9.223.2558,190
8026.9.224.0/1926.9.224.1 to 26.9.255.25426.9.255.2558,190
8126.10.0.0/1926.10.0.1 to 26.10.31.25426.10.31.2558,190
8226.10.32.0/1926.10.32.1 to 26.10.63.25426.10.63.2558,190
8326.10.64.0/1926.10.64.1 to 26.10.95.25426.10.95.2558,190
8426.10.96.0/1926.10.96.1 to 26.10.127.25426.10.127.2558,190
8526.10.128.0/1926.10.128.1 to 26.10.159.25426.10.159.2558,190
8626.10.160.0/1926.10.160.1 to 26.10.191.25426.10.191.2558,190
8726.10.192.0/1926.10.192.1 to 26.10.223.25426.10.223.2558,190
8826.10.224.0/1926.10.224.1 to 26.10.255.25426.10.255.2558,190
8926.11.0.0/1926.11.0.1 to 26.11.31.25426.11.31.2558,190
9026.11.32.0/1926.11.32.1 to 26.11.63.25426.11.63.2558,190
9126.11.64.0/1926.11.64.1 to 26.11.95.25426.11.95.2558,190
9226.11.96.0/1926.11.96.1 to 26.11.127.25426.11.127.2558,190
9326.11.128.0/1926.11.128.1 to 26.11.159.25426.11.159.2558,190
9426.11.160.0/1926.11.160.1 to 26.11.191.25426.11.191.2558,190
9526.11.192.0/1926.11.192.1 to 26.11.223.25426.11.223.2558,190
9626.11.224.0/1926.11.224.1 to 26.11.255.25426.11.255.2558,190
9726.12.0.0/1926.12.0.1 to 26.12.31.25426.12.31.2558,190
9826.12.32.0/1926.12.32.1 to 26.12.63.25426.12.63.2558,190
9926.12.64.0/1926.12.64.1 to 26.12.95.25426.12.95.2558,190
10026.12.96.0/1926.12.96.1 to 26.12.127.25426.12.127.2558,190
10126.12.128.0/1926.12.128.1 to 26.12.159.25426.12.159.2558,190
10226.12.160.0/1926.12.160.1 to 26.12.191.25426.12.191.2558,190
10326.12.192.0/1926.12.192.1 to 26.12.223.25426.12.223.2558,190
10426.12.224.0/1926.12.224.1 to 26.12.255.25426.12.255.2558,190
10526.13.0.0/1926.13.0.1 to 26.13.31.25426.13.31.2558,190
10626.13.32.0/1926.13.32.1 to 26.13.63.25426.13.63.2558,190
10726.13.64.0/1926.13.64.1 to 26.13.95.25426.13.95.2558,190
10826.13.96.0/1926.13.96.1 to 26.13.127.25426.13.127.2558,190
10926.13.128.0/1926.13.128.1 to 26.13.159.25426.13.159.2558,190
11026.13.160.0/1926.13.160.1 to 26.13.191.25426.13.191.2558,190
11126.13.192.0/1926.13.192.1 to 26.13.223.25426.13.223.2558,190
11226.13.224.0/1926.13.224.1 to 26.13.255.25426.13.255.2558,190
11326.14.0.0/1926.14.0.1 to 26.14.31.25426.14.31.2558,190
11426.14.32.0/1926.14.32.1 to 26.14.63.25426.14.63.2558,190
11526.14.64.0/1926.14.64.1 to 26.14.95.25426.14.95.2558,190
11626.14.96.0/1926.14.96.1 to 26.14.127.25426.14.127.2558,190
11726.14.128.0/1926.14.128.1 to 26.14.159.25426.14.159.2558,190
11826.14.160.0/1926.14.160.1 to 26.14.191.25426.14.191.2558,190
11926.14.192.0/1926.14.192.1 to 26.14.223.25426.14.223.2558,190
12026.14.224.0/1926.14.224.1 to 26.14.255.25426.14.255.2558,190
12126.15.0.0/1926.15.0.1 to 26.15.31.25426.15.31.2558,190
12226.15.32.0/1926.15.32.1 to 26.15.63.25426.15.63.2558,190
12326.15.64.0/1926.15.64.1 to 26.15.95.25426.15.95.2558,190
12426.15.96.0/1926.15.96.1 to 26.15.127.25426.15.127.2558,190
12526.15.128.0/1926.15.128.1 to 26.15.159.25426.15.159.2558,190
12626.15.160.0/1926.15.160.1 to 26.15.191.25426.15.191.2558,190
12726.15.192.0/1926.15.192.1 to 26.15.223.25426.15.223.2558,190
12826.15.224.0/1926.15.224.1 to 26.15.255.25426.15.255.2558,190
12926.16.0.0/1926.16.0.1 to 26.16.31.25426.16.31.2558,190
13026.16.32.0/1926.16.32.1 to 26.16.63.25426.16.63.2558,190
13126.16.64.0/1926.16.64.1 to 26.16.95.25426.16.95.2558,190
13226.16.96.0/1926.16.96.1 to 26.16.127.25426.16.127.2558,190
13326.16.128.0/1926.16.128.1 to 26.16.159.25426.16.159.2558,190
13426.16.160.0/1926.16.160.1 to 26.16.191.25426.16.191.2558,190
13526.16.192.0/1926.16.192.1 to 26.16.223.25426.16.223.2558,190
13626.16.224.0/1926.16.224.1 to 26.16.255.25426.16.255.2558,190
13726.17.0.0/1926.17.0.1 to 26.17.31.25426.17.31.2558,190
13826.17.32.0/1926.17.32.1 to 26.17.63.25426.17.63.2558,190
13926.17.64.0/1926.17.64.1 to 26.17.95.25426.17.95.2558,190
14026.17.96.0/1926.17.96.1 to 26.17.127.25426.17.127.2558,190
14126.17.128.0/1926.17.128.1 to 26.17.159.25426.17.159.2558,190
14226.17.160.0/1926.17.160.1 to 26.17.191.25426.17.191.2558,190
14326.17.192.0/1926.17.192.1 to 26.17.223.25426.17.223.2558,190
14426.17.224.0/1926.17.224.1 to 26.17.255.25426.17.255.2558,190
14526.18.0.0/1926.18.0.1 to 26.18.31.25426.18.31.2558,190
14626.18.32.0/1926.18.32.1 to 26.18.63.25426.18.63.2558,190
14726.18.64.0/1926.18.64.1 to 26.18.95.25426.18.95.2558,190
14826.18.96.0/1926.18.96.1 to 26.18.127.25426.18.127.2558,190
14926.18.128.0/1926.18.128.1 to 26.18.159.25426.18.159.2558,190
15026.18.160.0/1926.18.160.1 to 26.18.191.25426.18.191.2558,190
15126.18.192.0/1926.18.192.1 to 26.18.223.25426.18.223.2558,190
15226.18.224.0/1926.18.224.1 to 26.18.255.25426.18.255.2558,190
15326.19.0.0/1926.19.0.1 to 26.19.31.25426.19.31.2558,190
15426.19.32.0/1926.19.32.1 to 26.19.63.25426.19.63.2558,190
15526.19.64.0/1926.19.64.1 to 26.19.95.25426.19.95.2558,190
15626.19.96.0/1926.19.96.1 to 26.19.127.25426.19.127.2558,190
15726.19.128.0/1926.19.128.1 to 26.19.159.25426.19.159.2558,190
15826.19.160.0/1926.19.160.1 to 26.19.191.25426.19.191.2558,190
15926.19.192.0/1926.19.192.1 to 26.19.223.25426.19.223.2558,190
16026.19.224.0/1926.19.224.1 to 26.19.255.25426.19.255.2558,190
16126.20.0.0/1926.20.0.1 to 26.20.31.25426.20.31.2558,190
16226.20.32.0/1926.20.32.1 to 26.20.63.25426.20.63.2558,190
16326.20.64.0/1926.20.64.1 to 26.20.95.25426.20.95.2558,190
16426.20.96.0/1926.20.96.1 to 26.20.127.25426.20.127.2558,190
16526.20.128.0/1926.20.128.1 to 26.20.159.25426.20.159.2558,190
16626.20.160.0/1926.20.160.1 to 26.20.191.25426.20.191.2558,190
16726.20.192.0/1926.20.192.1 to 26.20.223.25426.20.223.2558,190
16826.20.224.0/1926.20.224.1 to 26.20.255.25426.20.255.2558,190
16926.21.0.0/1926.21.0.1 to 26.21.31.25426.21.31.2558,190
17026.21.32.0/1926.21.32.1 to 26.21.63.25426.21.63.2558,190
17126.21.64.0/1926.21.64.1 to 26.21.95.25426.21.95.2558,190
17226.21.96.0/1926.21.96.1 to 26.21.127.25426.21.127.2558,190
17326.21.128.0/1926.21.128.1 to 26.21.159.25426.21.159.2558,190
17426.21.160.0/1926.21.160.1 to 26.21.191.25426.21.191.2558,190
17526.21.192.0/1926.21.192.1 to 26.21.223.25426.21.223.2558,190
17626.21.224.0/1926.21.224.1 to 26.21.255.25426.21.255.2558,190
17726.22.0.0/1926.22.0.1 to 26.22.31.25426.22.31.2558,190
17826.22.32.0/1926.22.32.1 to 26.22.63.25426.22.63.2558,190
17926.22.64.0/1926.22.64.1 to 26.22.95.25426.22.95.2558,190
18026.22.96.0/1926.22.96.1 to 26.22.127.25426.22.127.2558,190
18126.22.128.0/1926.22.128.1 to 26.22.159.25426.22.159.2558,190
18226.22.160.0/1926.22.160.1 to 26.22.191.25426.22.191.2558,190
18326.22.192.0/1926.22.192.1 to 26.22.223.25426.22.223.2558,190
18426.22.224.0/1926.22.224.1 to 26.22.255.25426.22.255.2558,190
18526.23.0.0/1926.23.0.1 to 26.23.31.25426.23.31.2558,190
18626.23.32.0/1926.23.32.1 to 26.23.63.25426.23.63.2558,190
18726.23.64.0/1926.23.64.1 to 26.23.95.25426.23.95.2558,190
18826.23.96.0/1926.23.96.1 to 26.23.127.25426.23.127.2558,190
18926.23.128.0/1926.23.128.1 to 26.23.159.25426.23.159.2558,190
19026.23.160.0/1926.23.160.1 to 26.23.191.25426.23.191.2558,190
19126.23.192.0/1926.23.192.1 to 26.23.223.25426.23.223.2558,190
19226.23.224.0/1926.23.224.1 to 26.23.255.25426.23.255.2558,190
19326.24.0.0/1926.24.0.1 to 26.24.31.25426.24.31.2558,190
19426.24.32.0/1926.24.32.1 to 26.24.63.25426.24.63.2558,190
19526.24.64.0/1926.24.64.1 to 26.24.95.25426.24.95.2558,190
19626.24.96.0/1926.24.96.1 to 26.24.127.25426.24.127.2558,190
19726.24.128.0/1926.24.128.1 to 26.24.159.25426.24.159.2558,190
19826.24.160.0/1926.24.160.1 to 26.24.191.25426.24.191.2558,190
19926.24.192.0/1926.24.192.1 to 26.24.223.25426.24.223.2558,190
20026.24.224.0/1926.24.224.1 to 26.24.255.25426.24.255.2558,190
20126.25.0.0/1926.25.0.1 to 26.25.31.25426.25.31.2558,190
20226.25.32.0/1926.25.32.1 to 26.25.63.25426.25.63.2558,190
20326.25.64.0/1926.25.64.1 to 26.25.95.25426.25.95.2558,190
20426.25.96.0/1926.25.96.1 to 26.25.127.25426.25.127.2558,190
20526.25.128.0/1926.25.128.1 to 26.25.159.25426.25.159.2558,190
20626.25.160.0/1926.25.160.1 to 26.25.191.25426.25.191.2558,190
20726.25.192.0/1926.25.192.1 to 26.25.223.25426.25.223.2558,190
20826.25.224.0/1926.25.224.1 to 26.25.255.25426.25.255.2558,190
20926.26.0.0/1926.26.0.1 to 26.26.31.25426.26.31.2558,190
21026.26.32.0/1926.26.32.1 to 26.26.63.25426.26.63.2558,190
21126.26.64.0/1926.26.64.1 to 26.26.95.25426.26.95.2558,190
21226.26.96.0/1926.26.96.1 to 26.26.127.25426.26.127.2558,190
21326.26.128.0/1926.26.128.1 to 26.26.159.25426.26.159.2558,190
21426.26.160.0/1926.26.160.1 to 26.26.191.25426.26.191.2558,190
21526.26.192.0/1926.26.192.1 to 26.26.223.25426.26.223.2558,190
21626.26.224.0/1926.26.224.1 to 26.26.255.25426.26.255.2558,190
21726.27.0.0/1926.27.0.1 to 26.27.31.25426.27.31.2558,190
21826.27.32.0/1926.27.32.1 to 26.27.63.25426.27.63.2558,190
21926.27.64.0/1926.27.64.1 to 26.27.95.25426.27.95.2558,190
22026.27.96.0/1926.27.96.1 to 26.27.127.25426.27.127.2558,190
22126.27.128.0/1926.27.128.1 to 26.27.159.25426.27.159.2558,190
22226.27.160.0/1926.27.160.1 to 26.27.191.25426.27.191.2558,190
22326.27.192.0/1926.27.192.1 to 26.27.223.25426.27.223.2558,190
22426.27.224.0/1926.27.224.1 to 26.27.255.25426.27.255.2558,190
22526.28.0.0/1926.28.0.1 to 26.28.31.25426.28.31.2558,190
22626.28.32.0/1926.28.32.1 to 26.28.63.25426.28.63.2558,190
22726.28.64.0/1926.28.64.1 to 26.28.95.25426.28.95.2558,190
22826.28.96.0/1926.28.96.1 to 26.28.127.25426.28.127.2558,190
22926.28.128.0/1926.28.128.1 to 26.28.159.25426.28.159.2558,190
23026.28.160.0/1926.28.160.1 to 26.28.191.25426.28.191.2558,190
23126.28.192.0/1926.28.192.1 to 26.28.223.25426.28.223.2558,190
23226.28.224.0/1926.28.224.1 to 26.28.255.25426.28.255.2558,190
23326.29.0.0/1926.29.0.1 to 26.29.31.25426.29.31.2558,190
23426.29.32.0/1926.29.32.1 to 26.29.63.25426.29.63.2558,190
23526.29.64.0/1926.29.64.1 to 26.29.95.25426.29.95.2558,190
23626.29.96.0/1926.29.96.1 to 26.29.127.25426.29.127.2558,190
23726.29.128.0/1926.29.128.1 to 26.29.159.25426.29.159.2558,190
23826.29.160.0/1926.29.160.1 to 26.29.191.25426.29.191.2558,190
23926.29.192.0/1926.29.192.1 to 26.29.223.25426.29.223.2558,190
24026.29.224.0/1926.29.224.1 to 26.29.255.25426.29.255.2558,190
24126.30.0.0/1926.30.0.1 to 26.30.31.25426.30.31.2558,190
24226.30.32.0/1926.30.32.1 to 26.30.63.25426.30.63.2558,190
24326.30.64.0/1926.30.64.1 to 26.30.95.25426.30.95.2558,190
24426.30.96.0/1926.30.96.1 to 26.30.127.25426.30.127.2558,190
24526.30.128.0/1926.30.128.1 to 26.30.159.25426.30.159.2558,190
24626.30.160.0/1926.30.160.1 to 26.30.191.25426.30.191.2558,190
24726.30.192.0/1926.30.192.1 to 26.30.223.25426.30.223.2558,190
24826.30.224.0/1926.30.224.1 to 26.30.255.25426.30.255.2558,190
24926.31.0.0/1926.31.0.1 to 26.31.31.25426.31.31.2558,190
25026.31.32.0/1926.31.32.1 to 26.31.63.25426.31.63.2558,190
25126.31.64.0/1926.31.64.1 to 26.31.95.25426.31.95.2558,190
25226.31.96.0/1926.31.96.1 to 26.31.127.25426.31.127.2558,190
25326.31.128.0/1926.31.128.1 to 26.31.159.25426.31.159.2558,190
25426.31.160.0/1926.31.160.1 to 26.31.191.25426.31.191.2558,190
25526.31.192.0/1926.31.192.1 to 26.31.223.25426.31.223.2558,190
25626.31.224.0/1926.31.224.1 to 26.31.255.25426.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses